use warnings;
use strict;
use Carp;

BEGIN { require 't/.lib.t' }
plan tests => 11;

my @id;

init_gpg_homedir();

throws_ok { gpg_encrypt()                       } qr/Usage/;
throws_ok { gpg_encrypt(q{})                    } qr/Usage/;
throws_ok { gpg_encrypt(0, 0, 0, 0)             } qr/Usage/;
throws_ok { gpg_encrypt(undef, [])              } qr/undefined/;
throws_ok { gpg_encrypt(q{}, [])                } qr/list is empty/;
throws_ok { gpg_encrypt(q{}, [$KEY_ID[0]])      } qr/public key not found/;

gpg_import($PUB_KEY{ $KEY_ID[0] });
lives_ok  { gpg_encrypt(q{}, [$KEY_ID[0]])      } 'empty msg for key1';
lives_ok  { gpg_encrypt(q{test}, [$KEY_ID[0]])  } 'test  msg for key1';
isnt(gpg_encrypt(q{}, [$KEY_ID[0]]), gpg_encrypt(q{}, [$KEY_ID[0]]),
                                                  'encrypt with randomization');

gpg_import($PUB_KEY{ $KEY_ID[1] });
lives_ok  { gpg_encrypt('test', [@KEY_ID[0,1]]) } 'test msg for key1+2';

throws_ok { gpg_encrypt('test', [@KEY_ID[0..2]])} qr/public key not found/;

