use warnings;
use strict;
use Carp;

BEGIN { require 't/.lib.t' }
plan tests => 12;

my ($key, @id, $email);

init_gpg_homedir();


gpg_import($SEC_KEY{ $KEY_ID[0] }, 1);
gpg_import($PUB_KEY{ $KEY_ID[1] });


throws_ok { gpg_export()                    } qr/Usage/;
throws_ok { gpg_export(q{}, q{})            } qr/Usage/;
throws_ok { gpg_export(undef)               } qr/undefined/;
throws_ok { gpg_export(q{})                 } qr/malformed user id/;

#    ,      .
# !      ,    
#   ,     . :)    -
#  ,     .
#      __ :)  -
#   : ,    (    :)).
#    ,    - 
#     , .
my $list1 = gpg_list();
isnt(gpg_export($KEY_ID[0]), $SEC_KEY{ $KEY_ID[0] }, 'export key1 (not secret key)');
isnt(gpg_export($KEY_ID[0]), $PUB_KEY{ $KEY_ID[0] }, 'export key1 (not public key)');
gpg_import($PUB_KEY{ $KEY_ID[0] });
isnt(gpg_export($KEY_ID[0]), $PUB_KEY{ $KEY_ID[0] }, 'export key1 (not public key)');
delete_secret_and_public($KEY_ID[0]);
gpg_import($PUB_KEY{ $KEY_ID[0] });
is(gpg_export($KEY_ID[0]), $PUB_KEY{ $KEY_ID[0] }, 'export key1 (public key)');
gpg_import($SEC_KEY{ $KEY_ID[0] }, 1);
is(gpg_export($KEY_ID[0]), $PUB_KEY{ $KEY_ID[0] }, 'export key1 (public key)');
my $list2 = gpg_list();
is_deeply($list1, $list2,   'no difference in keys list');

is(gpg_export($KEY_ID[1]), $PUB_KEY{ $KEY_ID[1] }, 'export key1');
$email = $KEY_INFO{ $KEY_ID[1] }[0]{email};
is(gpg_export("<$email>"), $PUB_KEY{ $KEY_ID[1] }, 'export key1 by email');


